Bug 247252 - RFE: build mesa demos
RFE: build mesa demos
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-06 07:48 EDT by Xavier Bachelot
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-10 13:30:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for geartrain, gltestperf, isosurf, morph3d and winpos demos (1.90 KB, patch)
2007-07-09 11:56 EDT, Xavier Bachelot
no flags Details | Diff
spec file patch (3.63 KB, patch)
2007-07-09 16:07 EDT, Xavier Bachelot
no flags Details | Diff

  None (edit)
Description Xavier Bachelot 2007-07-06 07:48:07 EDT
Description of problem:
Mesa demos are not built with the current F7 srpm. I think it might be useful
for debugging purposes, etc...

Attached patch add a mesa-demos subpackage, built against freeglut.
Comment 1 Xavier Bachelot 2007-07-09 11:24:11 EDT
The following bugfix is needed to fix some of the demos : 
http://gitweb.freedesktop.org/?p=mesa/mesa.git;a=commit;h=f98bdfca574478837b33c97d131dad4833e3ee12
Comment 2 Adam Jackson 2007-07-09 11:40:48 EDT
I don't see an attached patch?
Comment 3 Xavier Bachelot 2007-07-09 11:56:12 EDT
Created attachment 158779 [details]
patch for geartrain, gltestperf, isosurf, morph3d and winpos demos

Sorry, I thought the link to the mesa commit was enough. Here's the patch.
Comment 4 Adam Jackson 2007-07-09 15:10:52 EDT
That's just fixing the demos, I thought you had a patch to the specfile.
Comment 5 Xavier Bachelot 2007-07-09 16:07:20 EDT
Created attachment 158801 [details]
spec file patch

Sorry, I'll remember not to fill bug while suffering a bad cold.
Comment 6 Adam Jackson 2007-07-10 13:30:14 EDT
Committed as mesa 6.5.2-14.fc8, with some slight changes.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.